Next Previous Contents

## 3.159 strstr

> Function

>   Find a substring.

> Header

>   `string.h`

> Declaration

>   `char* __fastcall__ strstr (const char* str, const char* substr);`

> Description

>   `strstr` searches for the first occurance of the string `substr` within `str`. If found, it returns a pointer to the copy, otherwise it returns `NULL`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   strcspn, strspn

> Example

>   None.

Next Previous Contents